package cn.joyway.joywaybeacon;

import android.opengl.GLDebugHelper;

import cn.joyway.lib.JoywayLib;

public class Consts {

    //OTA
    //【注意】用于调用的服务端点url不应该包含 “?wsdl” 尾缀。  这跟C#工程引用webService的时候输入url有差别。
    public static String ERPWS_Url() {
        // 调试模式，就访问 erpws-debug
        if (JoywayLib.DEBUG) {
            return "http://erpws-debug.joyway.cn/MainService.asmx"; //警告：凡是跟web服务有关的url，都必须使用http，因为服务器的https不是完全正式的。???
        }
        // 正式发布，就访问 erpws
        else{
            return "http://erpws.joyway.cn/MainService.asmx"; //警告：凡是跟web服务有关的url，都必须使用http，因为服务器的https不是完全正式的。???
        }
    }

    public static String ERPWS_Namespace() {
        return "http://erpws.joyway.cn/"; //这个是web服务类上面一行代码指定的命名空间，而实际发布到不同url都可以
    }



    //SharedPreference的数据KEY
    public static String spDataKey_Dfu_TargetDeviceAdvName = "spDataKey_Dfu_TargetDeviceAdvName";
    public static String spDataKey_Dfu_FirmwareName = "spDataKey_Dfu_FirmwareName";
    public static String spDataKey_Dfu_UpdatedDevicesMacs = "spDataKey_Dfu_UpdatedDevicesMacs";
}
